//
//  Colors+Extensions.swift
//  MaiNgaBeatyMembershipManagement
//
//  Created by PHAM ANH TUAN on 2/9/21.
//

import Foundation
import UIKit

public enum Colors { }
public extension Colors {
  /// 0xf2f3f4ff (r: 242, g: 243, b: 244, a: 255)
  static let backgroundDark = #colorLiteral(red: 0.9490196, green: 0.9529412, blue: 0.95686275, alpha: 1.0)
  /// 0xfafdffff (r: 250, g: 253, b: 255, a: 255)
  static let backgroundLight = #colorLiteral(red: 0.98039216, green: 0.99215686, blue: 1.0, alpha: 1.0)
  /// 0x0000001a (r: 0, g: 0, b: 0, a: 26)
  static let black100 = #colorLiteral(red: 0.0, green: 0.0, blue: 0.0, alpha: 0.101960786)
  /// 0xe6e6e6ff (r: 230, g: 230, b: 230, a: 255)
  static let black100s = #colorLiteral(red: 0.9019608, green: 0.9019608, blue: 0.9019608, alpha: 1.0)
  /// 0x0000004d (r: 0, g: 0, b: 0, a: 77)
  static let black200 = #colorLiteral(red: 0.0, green: 0.0, blue: 0.0, alpha: 0.3019608)
  /// 0xb3b3b3ff (r: 179, g: 179, b: 179, a: 255)
  static let black200s = #colorLiteral(red: 0.7019608, green: 0.7019608, blue: 0.7019608, alpha: 1.0)
  /// 0x00000066 (r: 0, g: 0, b: 0, a: 102)
  static let black300 = #colorLiteral(red: 0.0, green: 0.0, blue: 0.0, alpha: 0.4)
  /// 0x999999ff (r: 153, g: 153, b: 153, a: 255)
  static let black300s = #colorLiteral(red: 0.6, green: 0.6, blue: 0.6, alpha: 1.0)
  /// 0x000000b3 (r: 0, g: 0, b: 0, a: 179)
  static let black400 = #colorLiteral(red: 0.0, green: 0.0, blue: 0.0, alpha: 0.7019608)
  /// 0x4d4d4dff (r: 77, g: 77, b: 77, a: 255)
  static let black400s = #colorLiteral(red: 0.3019608, green: 0.3019608, blue: 0.3019608, alpha: 1.0)
  /// 0x000000cc (r: 0, g: 0, b: 0, a: 204)
  static let black500 = #colorLiteral(red: 0.0, green: 0.0, blue: 0.0, alpha: 0.8)
  /// 0x2f6bff0d (r: 47, g: 107, b: 255, a: 13)
  static let blue100 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.050980393)
  /// 0xf5f8ffff (r: 245, g: 248, b: 255, a: 255)
  static let blue100s = #colorLiteral(red: 0.9607843, green: 0.972549, blue: 1.0, alpha: 1.0)
  /// 0x2f6bff1a (r: 47, g: 107, b: 255, a: 26)
  static let blue200 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.101960786)
  /// 0xeaf0ffff (r: 234, g: 240, b: 255, a: 255)
  static let blue200s = #colorLiteral(red: 0.91764706, green: 0.9411765, blue: 1.0, alpha: 1.0)
  /// 0x2f6bff4d (r: 47, g: 107, b: 255, a: 77)
  static let blue300 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.3019608)
  /// 0xc1d3ffff (r: 193, g: 211, b: 255, a: 255)
  static let blue300s = #colorLiteral(red: 0.75686276, green: 0.827451, blue: 1.0, alpha: 1.0)
  /// 0x2f6bffcc (r: 47, g: 107, b: 255, a: 204)
  static let blue400 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.8)
  /// 0x5989ffff (r: 89, g: 137, b: 255, a: 255)
  static let blue400s = #colorLiteral(red: 0.34901962, green: 0.5372549, blue: 1.0, alpha: 1.0)
  /// 0x2f6bffff (r: 47, g: 107, b: 255, a: 255)
  static let blue500 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 1.0)
  /// 0xdc2323ff (r: 220, g: 35, b: 35, a: 255)
  static let branda500 = #colorLiteral(red: 0.8627451, green: 0.13725491, blue: 0.13725491, alpha: 1.0)
  /// 0x355587ff (r: 53, g: 85, b: 135, a: 255)
  static let brandb500 = #colorLiteral(red: 0.20784314, green: 0.33333334, blue: 0.5294118, alpha: 1.0)
  /// 0xf2f3f4ff (r: 242, g: 243, b: 244, a: 255)
  static let ds2BackgroundDark = #colorLiteral(red: 0.9490196, green: 0.9529412, blue: 0.95686275, alpha: 1.0)
  /// 0xfafdffff (r: 250, g: 253, b: 255, a: 255)
  static let ds2BackgroundLight = #colorLiteral(red: 0.98039216, green: 0.99215686, blue: 1.0, alpha: 1.0)
  /// 0x355587ff (r: 53, g: 85, b: 135, a: 255)
  static let ds2BlueBranding = #colorLiteral(red: 0.20784314, green: 0.33333334, blue: 0.5294118, alpha: 1.0)
  /// 0xdc2323ff (r: 220, g: 35, b: 35, a: 255)
  static let ds2Branding = #colorLiteral(red: 0.8627451, green: 0.13725491, blue: 0.13725491, alpha: 1.0)
  /// 0xe60a32ff (r: 230, g: 10, b: 50, a: 255)
  static let ds2Error1 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 1.0)
  /// 0xe60a32cc (r: 230, g: 10, b: 50, a: 204)
  static let ds2Error2 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 0.8)
  /// 0xe60a324c (r: 230, g: 10, b: 50, a: 76)
  static let ds2Error3 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 0.29803923)
  /// 0xe60a3219 (r: 230, g: 10, b: 50, a: 25)
  static let ds2Error4 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 0.09803922)
  /// 0x2f6bffff (r: 47, g: 107, b: 255, a: 255)
  static let ds2Informative1 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 1.0)
  /// 0x2f6bffcc (r: 47, g: 107, b: 255, a: 204)
  static let ds2Informative2 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.8)
  /// 0x2f6bff4d (r: 47, g: 107, b: 255, a: 77)
  static let ds2Informative3 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.3019608)
  /// 0x2f6bff19 (r: 47, g: 107, b: 255, a: 25)
  static let ds2Informative4 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.09803922)
  /// 0x2f6bff0c (r: 47, g: 107, b: 255, a: 12)
  static let ds2Informative5 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.047058824)
  /// 0x22313fff (r: 34, g: 49, b: 63, a: 255)
  static let ds2Ink1 = #colorLiteral(red: 0.13333334, green: 0.19215687, blue: 0.24705882, alpha: 1.0)
  /// 0x01122280 (r: 1, g: 18, b: 34, a: 128)
  static let ds2Ink2 = #colorLiteral(red: 0.003921569, green: 0.07058824, blue: 0.13333334, alpha: 0.5019608)
  /// 0x0112224c (r: 1, g: 18, b: 34, a: 76)
  static let ds2Ink3 = #colorLiteral(red: 0.003921569, green: 0.07058824, blue: 0.13333334, alpha: 0.29803923)
  /// 0x01122219 (r: 1, g: 18, b: 34, a: 25)
  static let ds2Ink4 = #colorLiteral(red: 0.003921569, green: 0.07058824, blue: 0.13333334, alpha: 0.09803922)
  /// 0x0112220c (r: 1, g: 18, b: 34, a: 12)
  static let ds2Ink5 = #colorLiteral(red: 0.003921569, green: 0.07058824, blue: 0.13333334, alpha: 0.047058824)
  /// 0xe8edf3ff (r: 232, g: 237, b: 243, a: 255)
  static let ds2PlaceHolder = #colorLiteral(red: 0.9098039, green: 0.92941177, blue: 0.9529412, alpha: 1.0)
  /// 0xdc2323ff (r: 220, g: 35, b: 35, a: 255)
  static let ds2RedBranding = #colorLiteral(red: 0.8627451, green: 0.13725491, blue: 0.13725491, alpha: 1.0)
  /// 0x00bc3cff (r: 0, g: 188, b: 60, a: 255)
  static let ds2Success1 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 1.0)
  /// 0x00bc3ccc (r: 0, g: 188, b: 60, a: 204)
  static let ds2Success2 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 0.8)
  /// 0x00bc3c4b (r: 0, g: 188, b: 60, a: 75)
  static let ds2Success3 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 0.29411766)
  /// 0x00bc3c19 (r: 0, g: 188, b: 60, a: 25)
  static let ds2Success4 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 0.09803922)
  /// 0x00000000 (r: 0, g: 0, b: 0, a: 0)
  static let ds2Transparent = #colorLiteral(red: 0.0, green: 0.0, blue: 0.0, alpha: 0.0)
  /// 0xfeb300ff (r: 254, g: 179, b: 0, a: 255)
  static let ds2Warning = #colorLiteral(red: 0.99607843, green: 0.7019608, blue: 0.0, alpha: 1.0)
  /// 0xff821eff (r: 255, g: 130, b: 30, a: 255)
  static let ds2Warning1 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 1.0)
  /// 0xff821ecc (r: 255, g: 130, b: 30, a: 204)
  static let ds2Warning2 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 0.8)
  /// 0xff821e4d (r: 255, g: 130, b: 30, a: 77)
  static let ds2Warning3 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 0.3019608)
  /// 0xff821e19 (r: 255, g: 130, b: 30, a: 25)
  static let ds2Warning4 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 0.09803922)
  /// 0xffffffff (r: 255, g: 255, b: 255, a: 255)
  static let ds2White1 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 1.0)
  /// 0xffffffb3 (r: 255, g: 255, b: 255, a: 179)
  static let ds2White2 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 0.7019608)
  /// 0xffffff4c (r: 255, g: 255, b: 255, a: 76)
  static let ds2White3 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 0.29803923)
  /// 0xffffff19 (r: 255, g: 255, b: 255, a: 25)
  static let ds2White4 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 0.09803922)
  /// 0x375aabff (r: 55, g: 90, b: 171, a: 255)
  static let facebook = #colorLiteral(red: 0.21568628, green: 0.3529412, blue: 0.67058825, alpha: 1.0)
  /// 0x00bc3c0d (r: 0, g: 188, b: 60, a: 13)
  static let green100 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 0.050980393)
  /// 0xf2fcf5ff (r: 242, g: 252, b: 245, a: 255)
  static let green100s = #colorLiteral(red: 0.9490196, green: 0.9882353, blue: 0.9607843, alpha: 1.0)
  /// 0x00bc3c1a (r: 0, g: 188, b: 60, a: 26)
  static let green200 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 0.101960786)
  /// 0xe6f8ecff (r: 230, g: 248, b: 236, a: 255)
  static let green200s = #colorLiteral(red: 0.9019608, green: 0.972549, blue: 0.9254902, alpha: 1.0)
  /// 0x00bc3c4d (r: 0, g: 188, b: 60, a: 77)
  static let green300 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 0.3019608)
  /// 0xb3ebc5ff (r: 179, g: 235, b: 197, a: 255)
  static let green300s = #colorLiteral(red: 0.7019608, green: 0.92156863, blue: 0.77254903, alpha: 1.0)
  /// 0x00bc3ccc (r: 0, g: 188, b: 60, a: 204)
  static let green400 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 0.8)
  /// 0x33c963ff (r: 51, g: 201, b: 99, a: 255)
  static let green400s = #colorLiteral(red: 0.2, green: 0.7882353, blue: 0.3882353, alpha: 1.0)
  /// 0x00bc3cff (r: 0, g: 188, b: 60, a: 255)
  static let green500 = #colorLiteral(red: 0.0, green: 0.7372549, blue: 0.23529412, alpha: 1.0)
  /// 0x0112220d (r: 1, g: 18, b: 34, a: 13)
  static let ink100 = #colorLiteral(red: 0.003921569, green: 0.07058824, blue: 0.13333334, alpha: 0.050980393)
  /// 0xf2f3f4ff (r: 242, g: 243, b: 244, a: 255)
  static let ink100s = #colorLiteral(red: 0.9490196, green: 0.9529412, blue: 0.95686275, alpha: 1.0)
  /// 0x0112221a (r: 1, g: 18, b: 34, a: 26)
  static let ink200 = #colorLiteral(red: 0.003921569, green: 0.07058824, blue: 0.13333334, alpha: 0.101960786)
  /// 0xe6e7e9ff (r: 230, g: 231, b: 233, a: 255)
  static let ink200s = #colorLiteral(red: 0.9019608, green: 0.90588236, blue: 0.9137255, alpha: 1.0)
  /// 0x0112224d (r: 1, g: 18, b: 34, a: 77)
  static let ink300 = #colorLiteral(red: 0.003921569, green: 0.07058824, blue: 0.13333334, alpha: 0.3019608)
  /// 0xb3b8bdff (r: 179, g: 184, b: 189, a: 255)
  static let ink300s = #colorLiteral(red: 0.7019608, green: 0.72156864, blue: 0.7411765, alpha: 1.0)
  /// 0x01122280 (r: 1, g: 18, b: 34, a: 128)
  static let ink400 = #colorLiteral(red: 0.003921569, green: 0.07058824, blue: 0.13333334, alpha: 0.5019608)
  /// 0x808890ff (r: 128, g: 136, b: 144, a: 255)
  static let ink400s = #colorLiteral(red: 0.5019608, green: 0.53333336, blue: 0.5647059, alpha: 1.0)
  /// 0x22313fff (r: 34, g: 49, b: 63, a: 255)
  static let ink500 = #colorLiteral(red: 0.13333334, green: 0.19215687, blue: 0.24705882, alpha: 1.0)
  /// 0xff821e0d (r: 255, g: 130, b: 30, a: 13)
  static let orange100 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 0.050980393)
  /// 0xfff9f4ff (r: 255, g: 249, b: 244, a: 255)
  static let orange100s = #colorLiteral(red: 1.0, green: 0.9764706, blue: 0.95686275, alpha: 1.0)
  /// 0xff821e1a (r: 255, g: 130, b: 30, a: 26)
  static let orange200 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 0.101960786)
  /// 0xfff3e9ff (r: 255, g: 243, b: 233, a: 255)
  static let orange200s = #colorLiteral(red: 1.0, green: 0.9529412, blue: 0.9137255, alpha: 1.0)
  /// 0xff821e4d (r: 255, g: 130, b: 30, a: 77)
  static let orange300 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 0.3019608)
  /// 0xffdabcff (r: 255, g: 218, b: 188, a: 255)
  static let orange300s = #colorLiteral(red: 1.0, green: 0.85490197, blue: 0.7372549, alpha: 1.0)
  /// 0xff821ecc (r: 255, g: 130, b: 30, a: 204)
  static let orange400 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 0.8)
  /// 0xff9b4bff (r: 255, g: 155, b: 75, a: 255)
  static let orange400s = #colorLiteral(red: 1.0, green: 0.60784316, blue: 0.29411766, alpha: 1.0)
  /// 0xff821eff (r: 255, g: 130, b: 30, a: 255)
  static let orange500 = #colorLiteral(red: 1.0, green: 0.50980395, blue: 0.11764706, alpha: 1.0)
  /// 0xe8edf3ff (r: 232, g: 237, b: 243, a: 255)
  static let placeholder = #colorLiteral(red: 0.9098039, green: 0.92941177, blue: 0.9529412, alpha: 1.0)
  /// 0x2f6bff0d (r: 47, g: 107, b: 255, a: 13)
  static let primarya100 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.050980393)
  /// 0xf5f8ffff (r: 245, g: 248, b: 255, a: 255)
  static let primarya100s = #colorLiteral(red: 0.9607843, green: 0.972549, blue: 1.0, alpha: 1.0)
  /// 0x2f6bff1a (r: 47, g: 107, b: 255, a: 26)
  static let primarya200 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.101960786)
  /// 0xeaf0ffff (r: 234, g: 240, b: 255, a: 255)
  static let primarya200s = #colorLiteral(red: 0.91764706, green: 0.9411765, blue: 1.0, alpha: 1.0)
  /// 0x2f6bff4d (r: 47, g: 107, b: 255, a: 77)
  static let primarya300 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.3019608)
  /// 0xc1d3ffff (r: 193, g: 211, b: 255, a: 255)
  static let primarya300s = #colorLiteral(red: 0.75686276, green: 0.827451, blue: 1.0, alpha: 1.0)
  /// 0x2f6bffcc (r: 47, g: 107, b: 255, a: 204)
  static let primarya400 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 0.8)
  /// 0x5989ffff (r: 89, g: 137, b: 255, a: 255)
  static let primarya400s = #colorLiteral(red: 0.34901962, green: 0.5372549, blue: 1.0, alpha: 1.0)
  /// 0x2f6bffff (r: 47, g: 107, b: 255, a: 255)
  static let primarya500 = #colorLiteral(red: 0.18431373, green: 0.41960785, blue: 1.0, alpha: 1.0)
  /// 0xe60a320d (r: 230, g: 10, b: 50, a: 13)
  static let red100 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 0.050980393)
  /// 0xfef3f5ff (r: 254, g: 243, b: 245, a: 255)
  static let red100s = #colorLiteral(red: 0.99607843, green: 0.9529412, blue: 0.9607843, alpha: 1.0)
  /// 0xe60a321a (r: 230, g: 10, b: 50, a: 26)
  static let red200 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 0.101960786)
  /// 0xfce7e7ff (r: 252, g: 231, b: 231, a: 255)
  static let red200s = #colorLiteral(red: 0.9882353, green: 0.90588236, blue: 0.90588236, alpha: 1.0)
  /// 0xe60a324d (r: 230, g: 10, b: 50, a: 77)
  static let red300 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 0.3019608)
  /// 0xffb5b5ff (r: 255, g: 181, b: 181, a: 255)
  static let red300s = #colorLiteral(red: 1.0, green: 0.70980394, blue: 0.70980394, alpha: 1.0)
  /// 0xe60a32cc (r: 230, g: 10, b: 50, a: 204)
  static let red400 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 0.8)
  /// 0xf25a5aff (r: 242, g: 90, b: 90, a: 255)
  static let red400s = #colorLiteral(red: 0.9490196, green: 0.3529412, blue: 0.3529412, alpha: 1.0)
  /// 0xe60a32ff (r: 230, g: 10, b: 50, a: 255)
  static let red500 = #colorLiteral(red: 0.9019608, green: 0.039215688, blue: 0.19607843, alpha: 1.0)
  /// 0x00000000 (r: 0, g: 0, b: 0, a: 0)
  static let transparent = #colorLiteral(red: 0.0, green: 0.0, blue: 0.0, alpha: 0.0)
  /// 0xffffff1a (r: 255, g: 255, b: 255, a: 26)
  static let white100 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 0.101960786)
  /// 0xffffff4d (r: 255, g: 255, b: 255, a: 77)
  static let white200 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 0.3019608)
  /// 0xffffff66 (r: 255, g: 255, b: 255, a: 102)
  static let white300 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 0.4)
  /// 0xffffffb3 (r: 255, g: 255, b: 255, a: 179)
  static let white400 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 0.7019608)
  /// 0xffffffff (r: 255, g: 255, b: 255, a: 255)
  static let white500 = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 1.0)
  /// 0xfeb300ff (r: 254, g: 179, b: 0, a: 255)
  static let yellow = #colorLiteral(red: 0.99607843, green: 0.7019608, blue: 0.0, alpha: 1.0)
}
//
